Description:
Sun has acknowledged some vulnerabilities in
Mozilla 1.7 for Sun Solaris, which can be exploited by malicious people
to bypass certain security restrictions or potentially compromise a
user’s system.

For more information:
SA20376
SA23422

The vulnerabilities are reported in Mozilla 1.7 for Sun Solaris 8, 9,
and 10 for both the x86 and SPARC platform. Mozilla 1.4 may also be
affected.

Solution:
The vendor recommends disabling JavaScript as a workaround for one of the issues.

Secunia